Validate export storage

Validate a specific local file export storage connection.

Authentication

AuthorizationToken
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>

Request

This endpoint expects an object.
projectintegerRequired
A unique integer value identifying this project.
can_delete_objectsboolean or nullOptional
Deletion from storage enabled
descriptionstring or nullOptional
Cloud storage description
idintegerOptional
Storage ID. If set, storage with specified ID will be updated
pathstring or nullOptional
Local path
regex_filterstring or nullOptional
Regex for filtering objects
synchronizablebooleanOptionalDefaults to true
titlestring or nullOptional<=256 characters
Cloud storage title
use_blob_urlsbooleanOptional
Interpret objects as BLOBs and generate URLs

Response

Validation successful